# Class SerialException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
javax.sql.rowset.serial.SerialException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class SerialException extends SQLException
Indicates and an error with the serialization or de-serialization of SQL types such as `BLOB, CLOB, STRUCT or ARRAY` in addition to SQL types such as `DATALINK and JAVAOBJECT`

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SerialException()`
Creates a new `SerialException` without a message.
`SerialException(String msg)`
Creates a new `SerialException` with the specified message.

## Method Summary

### Methods declared in class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods declared in interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SerialException

public SerialException()
Creates a new `SerialException` without a message.

### SerialException

public SerialException(String msg)
Creates a new `SerialException` with the specified message.

Parameters:
  `msg` - the detail message